# CREDIT_CARD_APPLICATION_TERMINATION

A credit card termination was created by Solaris for one of your customers' credit cards, or the status of an open termination has changed.

Endpoint: POST credit_card_application_termination
Version: 1.0

## Request fields (application/json):

  - `id` (string)
    The ID of the credit card termination.
    Example: "c7184779-3a57-5c8c-8ef4-c3aec9528531"

  - `application_id` (string)
    The ID of the credit card application that is being terminated.
    Example: "a8cafe0c24e949c78bfbea04cb5b2905ccla"

  - `reason` (string)
    The reason for the termination.
    Enum: "CUSTOMER_WISH", "OTHER_IMMEDIATE", "OTHER_ORDINARY"

  - `status` (string)
    The current status of the termination.
    Enum: "INITIATED", "IN_PROGRESS", "COMPLETED", "REVOKED"

  - `legally_terminated_at` (string)
    The date when the credit card termination will take effect.
    Example: "2023-08-31"

  - `revocable_until` (string)
    The date until which the termination can be revoked.
    Example: "2023-08-02"

  - `created_at` (string)
    UTC timestamp from when the termination was created.
    Example: "2023-07-28T14:47:00.000Z"


## Response 200 fields
